use mktemp for temporary files in pic2graph and eqn2graph scripts

This commit is contained in:
Miroslav Lichvar 2006-02-16 15:39:44 +00:00
parent 97a27cc36b
commit 671bed039b
2 changed files with 47 additions and 1 deletions

View File

@ -0,0 +1,41 @@
--- groff-1.18.1.1/contrib/pic2graph/pic2graph.sh.sectmp 2006-02-16 16:27:38.000000000 +0100
+++ groff-1.18.1.1/contrib/pic2graph/pic2graph.sh 2006-02-16 16:22:43.000000000 +0100
@@ -73,11 +73,12 @@
# 2. Process through eqn and pic to emit troff markup.
# 3. Process through groff to emit Postscript.
# 4. Use convert(1) to crop the PostScript and turn it into a bitmap.
-tmp=/tmp/pic2graph-$$
-trap "rm ${tmp}.*" 0 2 15
+tmpps=`mktemp /tmp/pic2graph-XXXXXXXX.ps`
+tmpfmt=`mktemp /tmp/pic2graph-XXXXXXXX.$format`
+trap "rm $tmpps $tmpfmt" 0 2 15
(echo ".EQ"; echo $eqndelim; echo ".EN"; echo ".PS"; cat; echo ".PE") | \
- groff -e -p $groffpic_opts -Tps >${tmp}.ps \
- && convert -crop 0x0 $convert_opts ${tmp}.ps ${tmp}.${format} \
- && cat ${tmp}.${format}
+ groff -e -p $groffpic_opts -Tps >$tmpps \
+ && convert -crop 0x0 $convert_opts $tmpps $tmpfmt \
+ && cat $tmpfmt
# End
--- groff-1.18.1.1/contrib/eqn2graph/eqn2graph.sh.sectmp 2006-02-16 16:27:38.000000000 +0100
+++ groff-1.18.1.1/contrib/eqn2graph/eqn2graph.sh 2006-02-16 16:06:27.000000000 +0100
@@ -63,12 +63,13 @@
# 2. Process through eqn(1) to emit troff markup.
# 3. Process through groff(1) to emit Postscript.
# 4. Use convert(1) to crop the Postscript and turn it into a bitmap.
-tmp=/tmp/eqn2graph-$$
-trap "rm ${tmp}.*" 0 2 15
+tmpps=`mktemp /tmp/eqn2graph-XXXXXXXX.ps`
+tmpfmt=`mktemp /tmp/eqn2graph-XXXXXXXX.$format`
+trap "rm $tmpps $tmpfmt" 0 2 15
read equation
(echo ".EQ"; echo 'delim $$'; echo ".EN"; echo '$'"${equation}"'$') | \
- groff -e $groff_opts -Tps >${tmp}.ps \
- && convert -crop 0x0 $convert_opts ${tmp}.ps ${tmp}.${format} \
- && cat ${tmp}.${format}
+ groff -e $groff_opts -Tps >$tmpps \
+ && convert -crop 0x0 $convert_opts $tmpps $tmpfmt \
+ && cat $tmpfmt
# End

View File

@ -3,7 +3,7 @@
Summary: A document formatting system. Summary: A document formatting system.
Name: groff Name: groff
Version: 1.18.1.1 Version: 1.18.1.1
Release: 9.2 Release: 10
License: GPL License: GPL
Group: Applications/Publishing Group: Applications/Publishing
Source0: ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz Source0: ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz
@ -31,6 +31,7 @@ Patch20: groff-1.18.1.1-tempfile.patch
Patch21: groff-1.18.1.1-gcc41.patch Patch21: groff-1.18.1.1-gcc41.patch
Patch22: groff-1.18.1.1-bigendian.patch Patch22: groff-1.18.1.1-bigendian.patch
Patch23: groff-1.18.1.1-spacefix.patch Patch23: groff-1.18.1.1-spacefix.patch
Patch24: groff-1.18.1.1-sectmp.patch
URL: ftp://ftp.gnu.org/gnu/groff/ URL: ftp://ftp.gnu.org/gnu/groff/
Requires: mktemp Requires: mktemp
@ -98,6 +99,7 @@ System display.
%patch21 -p1 -b .gcc41 %patch21 -p1 -b .gcc41
%patch22 -p1 -b .bigendian %patch22 -p1 -b .bigendian
%patch23 -p1 -b .spacefix %patch23 -p1 -b .spacefix
%patch24 -p1 -b .sectmp
for i in contrib/mm/{groff_mm,groff_mmse,mmroff}.man \ for i in contrib/mm/{groff_mm,groff_mmse,mmroff}.man \
src/devices/grolbp/grolbp.man; do src/devices/grolbp/grolbp.man; do
@ -210,6 +212,9 @@ fi
%endif %endif
%changelog %changelog
* Thu Feb 16 2006 Miroslav Lichvar <mlichvar@redhat.com> - 1.18.1.1-10
- use mktemp for temporary files in pic2graph and eqn2graph scripts
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.18.1.1-9.2 * Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.18.1.1-9.2
- bump again for double-long bug on ppc(64) - bump again for double-long bug on ppc(64)